Bug 1469216 - [RFE][manila] Support Share-Type Quotas
[RFE][manila] Support Share-Type Quotas
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity medium
: Upstream M2
: 14.0 (Rocky)
Assigned To: Victoria Martinez de la Cruz
Dustin Schoenbrun
Kim Nylander
: FutureFeature, TestOnly, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 12:28 EDT by Tom Barron
Modified: 2018-06-04 19:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-manila-6.0.0-0.20180122210259.4adbf82.el7ost python-manilaclient-1.20.0-0.20180117090358.4d36528.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jomurphy: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 452158 None master: MERGED manila: Add quotas per share type (I8472418c2eb363cf5a76c672c7fdea72f21e4f63) 2018-02-07 09:30 EST
OpenStack gerrit 452159 None master: MERGED python-manilaclient: Add quotas per share type (I0cd2bc41193e50b330456b14c5f66134a513cc32) 2018-02-07 09:30 EST

  None (edit)
Description Tom Barron 2017-07-10 12:28:20 EDT
Currently, quotas in Manila are configurable on a per tenant and per user basis. They allow admins to set the values for the number of shares, the number of snapshots, or the amount of gigabytes for a project and allow a project member to use resources within these given limits. 

This system needs to be enhanced to allow cloud administrators to also define the quota for the number of shares for a given share type. This functionality is similar to the one offered by Cinder for quotas per volume type.  In setups with multiple share-types, per share type quota will allow resource provider to have better control over the provisioned resources.
Comment 4 Tom Barron 2017-10-18 09:33:54 EDT
https://review.openstack.org/#/c/452159/ is merged upstream

Note You need to log in before you can comment on or make changes to this bug.